package net.theender.ldbridge;

import net.luckperms.api.LuckPerms;
import org.bukkit.Bukkit;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.command.TabCompleter;
import org.bukkit.entity.Player;

import java.util.ArrayList;
import java.util.List;

public class CommandLDBAdmin implements CommandExecutor, TabCompleter {
    LuckPerms luckPerms;
    LiizziisDiscordBridge plugin;
    TabCompleter onTabComplete;

    @Override
    public boolean onCommand(CommandSender sender, Command command, String label, String[] args) {
        if  (sender instanceof Player) {
            Player player = (Player) sender;
            if (player.hasPermission("ldb.admin")) {
                player.sendMessage("You got the power!");
                return true;
            } else {
                player.sendMessage("Nah");
                return true;
            }

        }
        return true;
    }

    public List<String> onTabComplete(CommandSender sender, Command command, String alias, String[] args) {
        if (command.getName().equalsIgnoreCase("ldb-admin")) {
            List<String> l = new ArrayList<String>();
            if (args.length==1) {
                // Most likely they've just typed "/ldb" only at this point
                l.add("kick-no-discord");
            } else if (args.length==2 && args[0].equalsIgnoreCase("kick-no-discord")) {
                l.add("true");
                l.add("false");
            }
            return l;
        }

        return null;
    }
}
