package net.theender.ldbridge;

import org.asynchttpclient.AsyncHttpClient;
import org.asynchttpclient.Response;
import org.json.JSONObject;

import java.util.concurrent.ExecutionException;
import java.util.concurrent.Future;

import static org.asynchttpclient.Dsl.asyncHttpClient;

public class utils {
    static AsyncHttpClient httpClient = asyncHttpClient();

    public static Response makePostRequest(String url, JSONObject data) throws ExecutionException, InterruptedException {
        Future<Response> whenResponse = httpClient.preparePost(url).setHeader("Content-Type", "application/json").setBody(data.toString()).execute();
        return whenResponse.get();
    }

    public static Response makePostRequest(String url) throws ExecutionException, InterruptedException {
        Future<Response> whenResponse = httpClient.preparePost(url).execute();
        return whenResponse.get();
    }

    public static Response makeGetRequest(String url) throws ExecutionException, InterruptedException {
        Future<Response> whenResponse = httpClient.prepareGet(url).execute();
        return whenResponse.get();
    }

}
